#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N, a, b, i, p, br=0;
    scanf("%d", &N);
    if(N == 2)
    {
        scanf("%d%d", &a, &b);
        printf("%d %d", b, a);
    }
    else
    {
        scanf("%d", &a);
        for(i=1; i<N; i++)
        {
            scanf("%d", &b);
            if(b > a && br == 0)
            {
                p = b;
                b = a;
                a = p;
                printf("%d %d ", a, b);
                br++;
            }
            else if(i == 1)
            {
                printf("%d ", a);
            }
            else
            {
                printf("%d ", b);
            }
            a = b;
        }
    }
    return 0;
}